Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.util
Class EJB

    java.lang.Object
      org.jboss.seam.util.EJB

    public class EJB

extends Object

Nested Class Summary
`static interface` | `EJB.Dummy`

Field Summary
`static Class<Annotation>` | `APPLICATION_EXCEPTION`
`static Class<Annotation>` | `AROUND_INVOKE`
`static Class<Annotation>` | `EJB_EXCEPTION`
`static String` | `ejbContextName`
`static Class<Annotation>` | `INTERCEPTORS`
`static boolean` | `INVOCATION_CONTEXT_AVAILABLE`
`static Class<Annotation>` | `LOCAL`
`static Class<Annotation>` | `MESSAGE_DRIVEN`
`static Class<Annotation>` | `PERSISTENCE_CONTEXT`
`static Class<Annotation>` | `POST_ACTIVATE`
`static Class<Annotation>` | `POST_CONSTRUCT`
`static Class<Annotation>` | `PRE_DESTROY`
`static Class<Annotation>` | `PRE_PASSIVATE`
`static Class<Annotation>` | `REMOTE`
`static Class<Annotation>` | `REMOVE`
`static Class<Annotation>` | `SINGLETON`
`static String` | `STANDARD_EJB_CONTEXT_NAME`
`static Class<Annotation>` | `STATEFUL`
`static Class<Annotation>` | `STATELESS`

Constructor Summary
`EJB()`

Method Summary
`static javax.ejb.EJBContext` | `getEJBContext()`
`protected static String` | `getEjbContextName()`
`static String` | `name(Annotation annotation)`
`static boolean` | `rollback(Annotation annotation)`
`protected static void` | `setEjbContextName(String ejbContextName)`
`static Class[]` | `value(Annotation annotation)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ejbContextName

    public static String ejbContextName

### STANDARD_EJB_CONTEXT_NAME

    public static final String STANDARD_EJB_CONTEXT_NAME

See Also:
  Constant Field Values

### STATELESS

    public static final Class<Annotation> STATELESS

### STATEFUL

    public static final Class<Annotation> STATEFUL

### SINGLETON

    public static final Class<Annotation> SINGLETON

### MESSAGE_DRIVEN

    public static final Class<Annotation> MESSAGE_DRIVEN

### PRE_PASSIVATE

    public static final Class<Annotation> PRE_PASSIVATE

### POST_ACTIVATE

    public static final Class<Annotation> POST_ACTIVATE

### PRE_DESTROY

    public static final Class<Annotation> PRE_DESTROY

### POST_CONSTRUCT

    public static final Class<Annotation> POST_CONSTRUCT

### REMOTE

    public static final Class<Annotation> REMOTE

### REMOVE

    public static final Class<Annotation> REMOVE

### LOCAL

    public static final Class<Annotation> LOCAL

### APPLICATION_EXCEPTION

    public static final Class<Annotation> APPLICATION_EXCEPTION

### PERSISTENCE_CONTEXT

    public static final Class<Annotation> PERSISTENCE_CONTEXT

### INTERCEPTORS

    public static final Class<Annotation> INTERCEPTORS

### AROUND_INVOKE

    public static final Class<Annotation> AROUND_INVOKE

### EJB_EXCEPTION

    public static final Class<Annotation> EJB_EXCEPTION

### INVOCATION_CONTEXT_AVAILABLE

    public static final boolean INVOCATION_CONTEXT_AVAILABLE

Constructor Detail

### EJB

    public EJB()

Method Detail

### name

    public static String name(Annotation annotation)

### value

    public static Class[] value(Annotation annotation)

### rollback

    public static boolean rollback(Annotation annotation)

### getEJBContext

    public static javax.ejb.EJBContext getEJBContext()
                                              throws NamingException

  Throws:
    `NamingException`

### getEjbContextName

    protected static String getEjbContextName()

### setEjbContextName

    protected static void setEjbContextName(String ejbContextName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 Seam Framework. All Rights Reserved.